Hex Artifact Content

Artifact e9059f054deb3978b8749dbf679ebbaf9e0db3e1:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 23  2...exit 1.fi..#
00f0: 20 50 72 65 70 61 72 61 74 69 6f 6e 0a 0a 72 6d   Preparation..rm
0100: 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27 6f 75   -rf 'build' 'ou
0110: 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69 72 20  t' 'inst'.mkdir 
0120: 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69  'build' 'out' 'i
0130: 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a  nst' || exit 1..
0140: 23 20 54 68 65 20 64 62 75 73 20 70 61 63 6b 61  # The dbus packa
0150: 67 65 0a 0a 44 42 55 53 56 45 52 53 3d 22 32 2e  ge..DBUSVERS="2.
0160: 30 22 0a 53 52 43 3d 22 73 72 63 2f 64 62 75 73  0".SRC="src/dbus
0170: 2d 24 7b 44 42 55 53 56 45 52 53 7d 2e 74 61 72  -${DBUSVERS}.tar
0180: 2e 67 7a 22 0a 53 52 43 55 52 4c 3d 22 68 74 74  .gz".SRCURL="htt
0190: 70 3a 2f 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e  p://sourceforge.
01a0: 6e 65 74 2f 70 72 6f 6a 65 63 74 73 2f 64 62 75  net/projects/dbu
01b0: 73 2d 74 63 6c 2f 66 69 6c 65 73 2f 64 62 75 73  s-tcl/files/dbus
01c0: 2f 24 7b 44 42 55 53 56 45 52 53 7d 2f 64 62 75  /${DBUSVERS}/dbu
01d0: 73 2d 24 7b 44 42 55 53 56 45 52 53 7d 2e 74 61  s-${DBUSVERS}.ta
01e0: 72 2e 67 7a 2f 64 6f 77 6e 6c 6f 61 64 22 0a 42  r.gz/download".B
01f0: 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64 29 2f  UILDDIR="$(pwd)/
0200: 62 75 69 6c 64 2f 64 62 75 73 2d 24 7b 44 42 55  build/dbus-${DBU
0210: 53 56 45 52 53 7d 22 0a 4f 55 54 44 49 52 3d 22  SVERS}".OUTDIR="
0220: 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e 53 54  $(pwd)/out".INST
0230: 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e 73 74  DIR="$(pwd)/inst
0240: 22 0a 65 78 70 6f 72 74 20 44 42 55 53 56 45 52  ".export DBUSVER
0250: 53 20 53 52 43 20 53 52 43 55 52 4c 20 42 55 49  S SRC SRCURL BUI
0260: 4c 44 44 49 52 20 4f 55 54 44 49 52 20 49 4e 53  LDDIR OUTDIR INS
0270: 54 44 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66  TDIR..# Set conf
0280: 69 67 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f  igure options fo
0290: 72 20 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65  r this sub-proje
02a0: 63 74 0a 4c 44 46 4c 41 47 53 3d 22 24 7b 4b 43  ct.LDFLAGS="${KC
02b0: 5f 44 42 55 53 5f 4c 44 46 4c 41 47 53 7d 22 0a  _DBUS_LDFLAGS}".
02c0: 43 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 44 42 55  CFLAGS="${KC_DBU
02d0: 53 5f 43 46 4c 41 47 53 7d 22 0a 43 50 50 46 4c  S_CFLAGS}".CPPFL
02e0: 41 47 53 3d 22 24 7b 4b 43 5f 44 42 55 53 5f 43  AGS="${KC_DBUS_C
02f0: 50 50 46 4c 41 47 53 7d 22 0a 4c 49 42 53 3d 22  PPFLAGS}".LIBS="
0300: 24 7b 4b 43 5f 44 42 55 53 5f 4c 49 42 53 7d 22  ${KC_DBUS_LIBS}"
0310: 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41 47 53 20  .export LDFLAGS 
0320: 43 46 4c 41 47 53 20 43 50 50 46 4c 41 47 53 20  CFLAGS CPPFLAGS 
0330: 4c 49 42 53 0a 0a 69 66 20 5b 20 21 20 2d 66 20  LIBS..if [ ! -f 
0340: 22 24 7b 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e  "${SRC}" ]; then
0350: 0a 09 6d 6b 64 69 72 20 27 73 72 63 27 20 3e 2f  ..mkdir 'src' >/
0360: 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f  dev/null 2>/dev/
0370: 6e 75 6c 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64  null...if [ ! -d
0380: 20 27 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74   'buildsrc' ]; t
0390: 68 65 6e 0a 09 09 72 6d 20 2d 66 20 22 24 7b 53  hen...rm -f "${S
03a0: 52 43 7d 2e 74 6d 70 22 0a 09 09 77 67 65 74 20  RC}.tmp"...wget 
03b0: 2d 4f 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20  -O "${SRC}.tmp" 
03c0: 22 24 7b 53 52 43 55 52 4c 7d 22 20 7c 7c 20 65  "${SRCURL}" || e
03d0: 78 69 74 20 31 0a 09 09 6d 76 20 22 24 7b 53 52  xit 1...mv "${SR
03e0: 43 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 7d 22  C}.tmp" "${SRC}"
03f0: 0a 09 66 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27  ..fi.fi..(..cd '
0400: 62 75 69 6c 64 27 20 7c 7c 20 65 78 69 74 20 31  build' || exit 1
0410: 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e  ...if [ ! -d '..
0420: 2f 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68  /buildsrc' ]; th
0430: 65 6e 0a 09 09 67 7a 69 70 20 2d 64 63 20 22 2e  en...gzip -dc ".
0440: 2e 2f 24 7b 53 52 43 7d 22 20 7c 20 74 61 72 20  ./${SRC}" | tar 
0450: 2d 78 66 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a  -xf -..else    .
0460: 09 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c  ..cp -rp ../buil
0470: 64 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a  dsrc/* './'..fi.
0480: 0a 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52  ..cd "${BUILDDIR
0490: 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 65 63  }" || exit 1..ec
04a0: 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63  ho "Running: ./c
04b0: 6f 6e 66 69 67 75 72 65 20 2d 2d 70 72 65 66 69  onfigure --prefi
04c0: 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22  x=\"${INSTDIR}\"
04d0: 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e   --libdir=\"${IN
04e0: 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77  STDIR}/lib\" --w
04f0: 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43  ith-tcl=\"${TCLC
0500: 4f 4e 46 49 47 44 49 52 7d 5c 22 20 24 7b 43 4f  ONFIGDIR}\" ${CO
0510: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 22 0a 09  NFIGUREEXTRA}"..
0520: 2e 2f 63 6f 6e 66 69 67 75 72 65 20 2d 2d 70 72  ./configure --pr
0530: 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d  efix="${INSTDIR}
0540: 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e  " --libdir="${IN
0550: 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69  STDIR}/lib" --wi
0560: 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e  th-tcl="${TCLCON
0570: 46 49 47 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49  FIGDIR}" ${CONFI
0580: 47 55 52 45 45 58 54 52 41 7d 0a 0a 09 65 63 68  GUREEXTRA}...ech
0590: 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41  o "Running: ${MA
05a0: 4b 45 3a 2d 6d 61 6b 65 7d 22 0a 09 24 7b 4d 41  KE:-make}"..${MA
05b0: 4b 45 3a 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78 69  KE:-make} || exi
05c0: 74 20 31 0a 0a 09 65 63 68 6f 20 22 52 75 6e 6e  t 1...echo "Runn
05d0: 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  ing: ${MAKE:-mak
05e0: 65 7d 20 69 6e 73 74 61 6c 6c 22 0a 09 24 7b 4d  e} install"..${M
05f0: 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74 61  AKE:-make} insta
0600: 6c 6c 0a 0a 09 6d 6b 64 69 72 20 22 24 7b 4f 55  ll...mkdir "${OU
0610: 54 44 49 52 7d 2f 6c 69 62 22 20 7c 7c 20 65 78  TDIR}/lib" || ex
0620: 69 74 20 31 0a 09 63 70 20 2d 72 20 22 24 7b 49  it 1..cp -r "${I
0630: 4e 53 54 44 49 52 7d 2f 6c 69 62 22 2f 64 62 75  NSTDIR}/lib"/dbu
0640: 73 2a 20 22 24 7b 4f 55 54 44 49 52 7d 2f 6c 69  s* "${OUTDIR}/li
0650: 62 2f 22 0a 0a 20 20 20 20 20 20 20 20 22 24 7b  b/"..        "${
0660: 53 54 52 49 50 3a 2d 73 74 72 69 70 7d 22 20 2d  STRIP:-strip}" -
0670: 67 20 22 24 7b 4f 55 54 44 49 52 7d 22 2f 6c 69  g "${OUTDIR}"/li
0680: 62 2f 64 62 75 73 2d 2a 2f 2a 2e 73 6f 20 3e 2f  b/dbus-*/*.so >/
0690: 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f  dev/null 2>/dev/
06a0: 6e 75 6c 6c 0a 09 65 78 69 74 20 30 0a 29 20 7c  null..exit 0.) |
06b0: 7c 20 65 78 69 74 20 31 0a 0a 23 20 54 68 65 20  | exit 1..# The 
06c0: 64 62 69 66 20 6d 6f 64 75 6c 65 0a 0a 44 42 49  dbif module..DBI
06d0: 46 56 45 52 53 3d 22 31 2e 30 22 0a 53 52 43 3d  FVERS="1.0".SRC=
06e0: 22 73 72 63 2f 64 62 69 66 2d 24 7b 44 42 49 46  "src/dbif-${DBIF
06f0: 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22 0a 53 52  VERS}.tar.gz".SR
0700: 43 55 52 4c 3d 22 68 74 74 70 3a 2f 2f 73 6f 75  CURL="http://sou
0710: 72 63 65 66 6f 72 67 65 2e 6e 65 74 2f 70 72 6f  rceforge.net/pro
0720: 6a 65 63 74 73 2f 64 62 75 73 2d 74 63 6c 2f 66  jects/dbus-tcl/f
0730: 69 6c 65 73 2f 64 62 69 66 2f 24 7b 44 42 49 46  iles/dbif/${DBIF
0740: 56 45 52 53 7d 2f 64 62 69 66 2d 24 7b 44 42 49  VERS}/dbif-${DBI
0750: 46 56 45 52 53 7d 2e 74 61 72 2e 67 7a 2f 64 6f  FVERS}.tar.gz/do
0760: 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44 49 52  wnload".BUILDDIR
0770: 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64 2f 64  ="$(pwd)/build/d
0780: 62 69 66 2d 24 7b 44 42 49 46 56 45 52 53 7d 22  bif-${DBIFVERS}"
0790: 0a 4f 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f  .OUTDIR="$(pwd)/
07a0: 6f 75 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28  out".INSTDIR="$(
07b0: 70 77 64 29 2f 69 6e 73 74 22 0a 65 78 70 6f 72  pwd)/inst".expor
07c0: 74 20 44 42 49 46 56 45 52 53 20 53 52 43 20 53  t DBIFVERS SRC S
07d0: 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52 20 4f  RCURL BUILDDIR O
07e0: 55 54 44 49 52 20 49 4e 53 54 44 49 52 0a 0a 23  UTDIR INSTDIR..#
07f0: 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65 20 6f   Set configure o
0800: 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69 73 20  ptions for this 
0810: 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44 46 4c  sub-project.LDFL
0820: 41 47 53 3d 22 24 7b 4b 43 5f 44 42 49 46 5f 4c  AGS="${KC_DBIF_L
0830: 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41 47 53 3d  DFLAGS}".CFLAGS=
0840: 22 24 7b 4b 43 5f 44 42 49 46 5f 43 46 4c 41 47  "${KC_DBIF_CFLAG
0850: 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b  S}".CPPFLAGS="${
0860: 4b 43 5f 44 42 49 46 5f 43 50 50 46 4c 41 47 53  KC_DBIF_CPPFLAGS
0870: 7d 22 0a 4c 49 42 53 3d 22 24 7b 4b 43 5f 44 42  }".LIBS="${KC_DB
0880: 49 46 5f 4c 49 42 53 7d 22 0a 65 78 70 6f 72 74  IF_LIBS}".export
0890: 20 4c 44 46 4c 41 47 53 20 43 46 4c 41 47 53 20   LDFLAGS CFLAGS 
08a0: 43 50 50 46 4c 41 47 53 20 4c 49 42 53 0a 0a 69  CPPFLAGS LIBS..i
08b0: 66 20 5b 20 21 20 2d 66 20 22 24 7b 53 52 43 7d  f [ ! -f "${SRC}
08c0: 22 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72  " ]; then..mkdir
08d0: 20 27 73 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c   'src' >/dev/nul
08e0: 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09  l 2>/dev/null...
08f0: 69 66 20 5b 20 21 20 2d 64 20 27 62 75 69 6c 64  if [ ! -d 'build
0900: 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 72  src' ]; then...r
0910: 6d 20 2d 66 20 22 24 7b 53 52 43 7d 2e 74 6d 70  m -f "${SRC}.tmp
0920: 22 0a 09 09 77 67 65 74 20 2d 4f 20 22 24 7b 53  "...wget -O "${S
0930: 52 43 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 55  RC}.tmp" "${SRCU
0940: 52 4c 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09  RL}" || exit 1..
0950: 09 6d 76 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22  .mv "${SRC}.tmp"
0960: 20 22 24 7b 53 52 43 7d 22 0a 09 66 69 0a 66 69   "${SRC}"..fi.fi
0970: 0a 0a 28 0a 09 63 64 20 27 62 75 69 6c 64 27 20  ..(..cd 'build' 
0980: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 69 66 20 5b  || exit 1...if [
0990: 20 21 20 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73   ! -d '../builds
09a0: 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a  rc' ]; then...gz
09b0: 69 70 20 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43  ip -dc "../${SRC
09c0: 7d 22 20 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09  }" | tar -xf -..
09d0: 65 6c 73 65 20 20 20 20 0a 09 09 63 70 20 2d 72  else    ...cp -r
09e0: 70 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20  p ../buildsrc/* 
09f0: 27 2e 2f 27 0a 09 66 69 0a 0a 09 63 64 20 22 24  './'..fi...cd "$
0a00: 7b 42 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65  {BUILDDIR}" || e
0a10: 78 69 74 20 31 0a 09 65 63 68 6f 20 22 52 75 6e  xit 1..echo "Run
0a20: 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72  ning: ./configur
0a30: 65 20 2d 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49  e --prefix=\"${I
0a40: 4e 53 54 44 49 52 7d 5c 22 20 6d 6f 64 75 6c 65  NSTDIR}\" module
0a50: 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d  dir=\"${INSTDIR}
0a60: 2f 6c 69 62 2f 74 63 6c 38 2f 38 2e 35 5c 22 20  /lib/tcl8/8.5\" 
0a70: 2d 2d 77 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54  --with-tcl=\"${T
0a80: 43 4c 43 4f 4e 46 49 47 44 49 52 7d 5c 22 20 24  CLCONFIGDIR}\" $
0a90: 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52 41 7d  {CONFIGUREEXTRA}
0aa0: 22 0a 09 2e 2f 63 6f 6e 66 69 67 75 72 65 20 2d  ".../configure -
0ab0: 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44  -prefix="${INSTD
0ac0: 49 52 7d 22 20 6d 6f 64 75 6c 65 64 69 72 3d 22  IR}" moduledir="
0ad0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f 74  ${INSTDIR}/lib/t
0ae0: 63 6c 38 2f 38 2e 35 22 20 2d 2d 77 69 74 68 2d  cl8/8.5" --with-
0af0: 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47  tcl="${TCLCONFIG
0b00: 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49 47 55 52  DIR}" ${CONFIGUR
0b10: 45 45 58 54 52 41 7d 0a 0a 09 65 63 68 6f 20 22  EEXTRA}...echo "
0b20: 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a  Running: ${MAKE:
0b30: 2d 6d 61 6b 65 7d 22 0a 09 24 7b 4d 41 4b 45 3a  -make}"..${MAKE:
0b40: 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78 69 74 20 31  -make} || exit 1
0b50: 0a 0a 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67  ...echo "Running
0b60: 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  : ${MAKE:-make} 
0b70: 69 6e 73 74 61 6c 6c 22 0a 09 24 7b 4d 41 4b 45  install"..${MAKE
0b80: 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74 61 6c 6c 0a  :-make} install.
0b90: 0a 09 6d 6b 64 69 72 20 2d 70 20 22 24 7b 4f 55  ..mkdir -p "${OU
0ba0: 54 44 49 52 7d 2f 6c 69 62 2f 74 63 6c 38 2f 38  TDIR}/lib/tcl8/8
0bb0: 2e 35 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 63  .5" || exit 1..c
0bc0: 70 20 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d  p -r "${INSTDIR}
0bd0: 2f 6c 69 62 2f 74 63 6c 38 2f 38 2e 35 2f 22 64  /lib/tcl8/8.5/"d
0be0: 62 69 66 2a 2e 74 6d 20 22 24 7b 4f 55 54 44 49  bif*.tm "${OUTDI
0bf0: 52 7d 2f 6c 69 62 2f 74 63 6c 38 2f 38 2e 35 2f  R}/lib/tcl8/8.5/
0c00: 22 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c 20 65  "..exit 0.) || e
0c10: 78 69 74 20 31 0a 0a 65 78 69 74 20 30 0a        xit 1..exit 0.